/*
 * Click nbfs://nbhost/SystemFileSystem/Templates/Licenses/license-default.txt to change this license
 * Click nbfs://nbhost/SystemFileSystem/Templates/Classes/Class.java to edit this template
 */
package com.qsoft.rs.sincoar.model;

import java.io.Serializable;
import javax.persistence.Basic;
import javax.persistence.Column;
import javax.persistence.Embeddable;

/**
 *
 * @author developer2
 */
@Embeddable
public class TarmunidadtipoPK implements Serializable {

    @Basic(optional = false)
    @Column(name = "CLASE")
    private String clase;
    @Basic(optional = false)
    @Column(name = "CLASECODE")
    private String clasecode;
    @Basic(optional = false)
    @Column(name = "TIPOARMAEXPLOSIVO")
    private String tipoarmaexplosivo;
    @Basic(optional = false)
    @Column(name = "TIPOARMAEXPLOSIVOCODIGO")
    private String tipoarmaexplosivocodigo;
    @Basic(optional = false)
    @Column(name = "UNIDADMEDIDAPESO")
    private String unidadmedidapeso;
    @Basic(optional = false)
    @Column(name = "UNIDADMEDIDAPESOCODIGO")
    private String unidadmedidapesocodigo;

    public TarmunidadtipoPK() {
    }

    public TarmunidadtipoPK(String clase, String clasecode, String tipoarmaexplosivo, String tipoarmaexplosivocodigo, String unidadmedidapeso, String unidadmedidapesocodigo) {
        this.clase = clase;
        this.clasecode = clasecode;
        this.tipoarmaexplosivo = tipoarmaexplosivo;
        this.tipoarmaexplosivocodigo = tipoarmaexplosivocodigo;
        this.unidadmedidapeso = unidadmedidapeso;
        this.unidadmedidapesocodigo = unidadmedidapesocodigo;
    }

    public String getClase() {
        return clase;
    }

    public void setClase(String clase) {
        this.clase = clase;
    }

    public String getClasecode() {
        return clasecode;
    }

    public void setClasecode(String clasecode) {
        this.clasecode = clasecode;
    }

    public String getTipoarmaexplosivo() {
        return tipoarmaexplosivo;
    }

    public void setTipoarmaexplosivo(String tipoarmaexplosivo) {
        this.tipoarmaexplosivo = tipoarmaexplosivo;
    }

    public String getTipoarmaexplosivocodigo() {
        return tipoarmaexplosivocodigo;
    }

    public void setTipoarmaexplosivocodigo(String tipoarmaexplosivocodigo) {
        this.tipoarmaexplosivocodigo = tipoarmaexplosivocodigo;
    }

    public String getUnidadmedidapeso() {
        return unidadmedidapeso;
    }

    public void setUnidadmedidapeso(String unidadmedidapeso) {
        this.unidadmedidapeso = unidadmedidapeso;
    }

    public String getUnidadmedidapesocodigo() {
        return unidadmedidapesocodigo;
    }

    public void setUnidadmedidapesocodigo(String unidadmedidapesocodigo) {
        this.unidadmedidapesocodigo = unidadmedidapesocodigo;
    }

    @Override
    public int hashCode() {
        int hash = 0;
        hash += (clase != null ? clase.hashCode() : 0);
        hash += (clasecode != null ? clasecode.hashCode() : 0);
        hash += (tipoarmaexplosivo != null ? tipoarmaexplosivo.hashCode() : 0);
        hash += (tipoarmaexplosivocodigo != null ? tipoarmaexplosivocodigo.hashCode() : 0);
        hash += (unidadmedidapeso != null ? unidadmedidapeso.hashCode() : 0);
        hash += (unidadmedidapesocodigo != null ? unidadmedidapesocodigo.hashCode() : 0);
        return hash;
    }

    @Override
    public boolean equals(Object object) {
        // TODO: Warning - this method won't work in the case the id fields are not set
        if (!(object instanceof TarmunidadtipoPK)) {
            return false;
        }
        TarmunidadtipoPK other = (TarmunidadtipoPK) object;
        if ((this.clase == null && other.clase != null) || (this.clase != null && !this.clase.equals(other.clase))) {
            return false;
        }
        if ((this.clasecode == null && other.clasecode != null) || (this.clasecode != null && !this.clasecode.equals(other.clasecode))) {
            return false;
        }
        if ((this.tipoarmaexplosivo == null && other.tipoarmaexplosivo != null) || (this.tipoarmaexplosivo != null && !this.tipoarmaexplosivo.equals(other.tipoarmaexplosivo))) {
            return false;
        }
        if ((this.tipoarmaexplosivocodigo == null && other.tipoarmaexplosivocodigo != null) || (this.tipoarmaexplosivocodigo != null && !this.tipoarmaexplosivocodigo.equals(other.tipoarmaexplosivocodigo))) {
            return false;
        }
        if ((this.unidadmedidapeso == null && other.unidadmedidapeso != null) || (this.unidadmedidapeso != null && !this.unidadmedidapeso.equals(other.unidadmedidapeso))) {
            return false;
        }
        if ((this.unidadmedidapesocodigo == null && other.unidadmedidapesocodigo != null) || (this.unidadmedidapesocodigo != null && !this.unidadmedidapesocodigo.equals(other.unidadmedidapesocodigo))) {
            return false;
        }
        return true;
    }

    @Override
    public String toString() {
        return "com.qsoft.rs.sincoar.model.TarmunidadtipoPK[ clase=" + clase + ", clasecode=" + clasecode + ", tipoarmaexplosivo=" + tipoarmaexplosivo + ", tipoarmaexplosivocodigo=" + tipoarmaexplosivocodigo + ", unidadmedidapeso=" + unidadmedidapeso + ", unidadmedidapesocodigo=" + unidadmedidapesocodigo + " ]";
    }
    
}
